Bug 206842 - Review Request: seq24 - Real-time MIDI sequencer
Review Request: seq24 - Real-time MIDI sequencer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-17 03:17 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 14:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-09-17 03:17:27 EDT
Spec URL: http://people.redhat.com/green/FE/devel/seq24.spec
SRPM URL: http://people.redhat.com/green/FE/devel/seq24-0.8.7-1.src.rpm

Description: 
Seq24 is a real-time midi sequencer. It was created to provide a very
simple interface for editing and playing midi 'loops'. After searching
for a software based sequencer that would provide the functionality
needed for a live techno performance, such as the Akai MPC line, the
Kawai Q80 sequencer, or the popular Alesis MMT-8, I found nothing
similar in the software realm. I set out to create a very minimal
sequencer that excludes the bloated features of the large software
sequencers, and includes a small subset of features that I have found
usable in performing.
Comment 1 Parag AN(पराग) 2006-09-19 02:25:00 EDT
{Not Official Reviewer}
packaging looks ok.
+ Mockbuild is successfull for i386 FC6 
+ rpmlint on binary rpm is silent
- dist tag is NOT present
+ Buildroot is correct
+ source URL is correct
+ BR is correct
+ License used is GPL
+ License file COPYING is included
+ desktop file is handled correctly
+ MD5 sum on tarball is matching upstream tarball
b2c39dad73f803727c39c2e2e443ebdb  seq24-0.8.7.tar.gz
+ No duplicate files

Application got installed correclty. Desktop icon is visible also.

Comment 2 Anthony Green 2006-09-19 15:40:36 EDT
(In reply to comment #1)
> - dist tag is NOT present

Thanks. Fixed this... as well as a few other things. 
Updated bits here:
Spec URL: http://people.redhat.com/green/FE/devel/seq24.spec
SRPM URL: http://people.redhat.com/green/FE/devel/seq24-0.8.7-2.src.rpm
Comment 3 Anthony Green 2006-09-19 18:40:26 EDT
One more little fix (to Requires(post,postun))...
Updated bits here:
Spec URL: http://people.redhat.com/green/FE/devel/seq24.spec
SRPM URL: http://people.redhat.com/green/FE/devel/seq24-0.8.7-3.src.rpm
Comment 4 Parag AN(पराग) 2006-09-20 05:03:23 EDT
Change
Source:       http://filter24.org/seq24/seq24-0.8.7.tar.gz
to
Source:       http://filter24.org/seq24/seq24-%{version}.tar.gz

Try to avoid hardcoding version in Source URL.
Comment 5 Gérard Milmeister 2006-09-23 08:31:42 EDT
* Also include seq24usr.example and TODO with the docs
* Modify the description, so that it is not in the first person
* Either use $RPM_BUILD_ROOT or %{buildroot}, but not both. I prefer
  $RPM_BUILD_ROOT
Comment 6 Anthony Green 2006-09-25 11:14:08 EDT
These updated bits take care of comment #4 and comment #5.

Spec URL: http://people.redhat.com/green/FE/devel/seq24.spec
SRPM URL: http://people.redhat.com/green/FE/devel/seq24-0.8.7-4.src.rpm
Comment 7 Gérard Milmeister 2006-09-26 11:37:16 EDT
* source files match upstream:
  b2c39dad73f803727c39c2e2e443ebdb  seq24-0.8.7.tar.gz
* package meets naming and packaging guidelines
* specfile is properly named, is cleanly written and uses macros consistently
* dist tag is present
* build root is correct
* license field matches the actual license
* license is open source-compatible, license text included in package
* latest version is being packaged
* BuildRequires are proper
* compiler flags are appropriate
* %clean is present
* package builds in mock (FC-5, i386)
* package installs properly
* rpmlint is silent
* final provides and requires are sane:
* package is not relocatable
* owns the directories it creates
* doesn't own any directories it shouldn't
* no duplicates in %files
* file permissions are appropriate
* scriptlets update icons cache
* code, not content
* documentation is small, so no -docs subpackage is necessary
* %docs are not necessary for the proper functioning of the package
* no headers
* no pkgconfig files
* no libtool .la droppings

I have two complaints:
1. I'd rather have the description in a non-personalized style. However
   you may do as you wish, it is not a blocker.
2. The dump command conflicts with the /sbin/dump command, although they
   are not in the same directory. I recommend renaming "dump" to "seq24-dump".
   The source code does not reference it, so this should suffice. Upstream
   should also be notified.
Comment 8 Anthony Green 2006-09-26 12:07:02 EDT
(In reply to comment #7)
> I have two complaints:
> 1. I'd rather have the description in a non-personalized style. However
>    you may do as you wish, it is not a blocker.
> 2. The dump command conflicts with the /sbin/dump command, although they
>    are not in the same directory. I recommend renaming "dump" to "seq24-dump".
>    The source code does not reference it, so this should suffice. Upstream
>    should also be notified.

Fixed.  So, is this approved?

Spec URL: http://people.redhat.com/green/FE/devel/seq24.spec
SRPM URL: http://people.redhat.com/green/FE/devel/seq24-0.8.7-5.src.rpm

Comment 9 Gérard Milmeister 2006-09-26 13:56:49 EDT
APPROVED
Comment 10 Anthony Green 2006-09-26 14:15:23 EDT
(In reply to comment #9)
> APPROVED

Thanks for working on this!

Note You need to log in before you can comment on or make changes to this bug.